> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Return list of groups

GET https://api.letsdeel.com/rest/groups

Returns a paginated list of groups in the organization. Archived groups are included by default and can be excluded via the `include_archived_groups` parameter.

 **Token scopes**: `groups:read`

Reference: https://developer.deel.com/api/endpoints/groups/get-groups

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `limit` (integer, optional, default: 100) — The maximum number of groups to return (between 1 and 100)
- `sort_order` (enum, optional, default: ASC) — Sort the results in ascending (ASC) or descending (DESC) order based on the group name.
  - Allowed values: `ASC`, `DESC`
- `cursor` (string, optional) — The encoded cursor for paginated results. This is an opaque string that allows fetching the next set of results.
- `include_archived_groups` (boolean, optional, default: true) — Include archived groups (soft deleted records). Defaults to `true`.
- `external_metadata` (string, optional) — Extra information about the group.

## Response

### 200

A list of groups in the organization.

- `data` (list of GroupsGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `page` (GroupsGetResponsesContentApplicationJsonSchemaPage, optional)

## Errors

### 400 Bad Request Error

Invalid request parameters.

- `message` (string, optional) — Error message explaining what went wrong.

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### GroupsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, optional) — The unique identifier of the group.
- `name` (string, optional) — The name of the group.
- `status` (enum, optional) — The current status of the group (active or archived).
  - Allowed values: `active`, `archived`
- `managers` (double, optional) — The number of managers associated with the group.
- `created_at` (string, optional) — The timestamp when the group was created.
- `updated_at` (string, optional) — The timestamp when the group was last updated.
- `archived_at` (string, optional, nullable) — The timestamp when the group was archived (if applicable).
- `external_metadata` (GroupsGetResponsesContentApplicationJsonSchemaDataItemsExternalMetadata, optional, nullable) — Extra information about the group.

### GroupsGetResponsesContentApplicationJsonSchemaPage

- `cursor` (string, optional, nullable) — An opaque cursor to fetch the next set of results.
- `total_rows` (integer, optional) — The total number of groups available for the current query (including pagination).

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### GroupsGetResponsesContentApplicationJsonSchemaDataItemsExternalMetadata

Extra information about the group.

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "Engineering",
      "status": "active",
      "managers": 3,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-06-01T08:00:00Z",
      "archived_at": "2024-06-15T10:30:00Z",
      "external_metadata": {
        "source": "hr-system"
      }
    }
  ],
  "page": {
    "cursor": "eyJpZCI6IjEyMyJ9",
    "total_rows": 42
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/groups"

querystring = {"cursor":"eyJpZCI6IjEyMyJ9","external_metadata":"{\"source\":\"hr-system\"}","include_archived_groups":"true","limit":"50","sort_order":"ASC"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/groups?cursor=eyJpZCI6IjEyMyJ9&external_metadata=%7B%22source%22%3A%22hr-system%22%7D&include_archived_groups=true&limit=50&sort_order=ASC';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/groups?cursor=eyJpZCI6IjEyMyJ9&external_metadata=%7B%22source%22%3A%22hr-system%22%7D&include_archived_groups=true&limit=50&sort_order=ASC"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/groups?cursor=eyJpZCI6IjEyMyJ9&external_metadata=%7B%22source%22%3A%22hr-system%22%7D&include_archived_groups=true&limit=50&sort_order=ASC")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/groups?cursor=eyJpZCI6IjEyMyJ9&external_metadata=%7B%22source%22%3A%22hr-system%22%7D&include_archived_groups=true&limit=50&sort_order=ASC")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/groups?cursor=eyJpZCI6IjEyMyJ9&external_metadata=%7B%22source%22%3A%22hr-system%22%7D&include_archived_groups=true&limit=50&sort_order=ASC', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/groups?cursor=eyJpZCI6IjEyMyJ9&external_metadata=%7B%22source%22%3A%22hr-system%22%7D&include_archived_groups=true&limit=50&sort_order=ASC");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/groups?cursor=eyJpZCI6IjEyMyJ9&external_metadata=%7B%22source%22%3A%22hr-system%22%7D&include_archived_groups=true&limit=50&sort_order=ASC")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```